Subject: Re: linux-next: build failure after merge of the akpm tree

From: Andrew Morton <[email-masked]>
Date: Wed, 26 Sep 2012 13:47:55 -0700

On Wed, 26 Sep 2012 13:42:05 -0700
Kees Cook <[email-masked]> wrote:

> > +static inline int audit_get_loginuid(struct task_struct *tsk)
> 
> Shouldn't this return kuid_t, due to "userns: Convert the audit
> loginuid  to be a kuid"?

yup, thanks.

--- a/include/linux/audit.h~audith-replace-defines-with-c-stubs-fix
+++ a/include/linux/audit.h
@@ -530,7 +530,7 @@ extern int auditsc_get_stamp(struct audi
 			      struct timespec *t, unsigned int *serial);
 extern int audit_set_loginuid(kuid_t loginuid);
 
-static inline int audit_get_loginuid(struct task_struct *tsk)
+static inline kuid_t audit_get_loginuid(struct task_struct *tsk)
 {
 	return tsk->loginuid
 }
@@ -677,7 +677,7 @@ static inline int auditsc_get_stamp(stru
 {
 	return 0;
 }
-static inline int audit_get_loginuid(struct task_struct *tsk)
+static inline kuid_t audit_get_loginuid(struct task_struct *tsk)
 {
 	return INVALID_UID;
 }
_